Data Structures | Functions

# linkgraph_gui.h File Reference

Declaration of linkgraph overlay GUI. More...

`#include "company_func.h"`
`#include "station_base.h"`
`#include "widget_type.h"`
`#include "linkgraph/linkgraph_base.h"`
`#include <map>`
`#include <list>`

Go to the source code of this file.

## Data Structures
struct | LinkProperties
| Properties of a link between two stations. More...
class | LinkGraphOverlay
| Handles drawing of links into some window. More...
struct | LinkGraphLegendWindow
| Menu window to select cargoes and companies to show in a link graph overlay. More...
## Functions
void | ShowLinkGraphLegend ()
| Open a link graph legend window.

## Detailed Description

Declaration of linkgraph overlay GUI.

Definition in file linkgraph_gui.h.